Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface ProtegeCls

All Superinterfaces:
  edu.stanford.smi.protege.model.Cls, Comparable<edu.stanford.smi.protege.model.Frame>, edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, ProtegeInstance

All Known Subinterfaces:
  OWLAllValuesFrom, OWLAnonymousClass, OWLCardinality, OWLCardinalityBase, OWLClass, OWLComplementClass, OWLEnumeratedClass, OWLExistentialRestriction, OWLHasValue, OWLIntersectionClass, OWLLogicalClass, OWLMaxCardinality, OWLMinCardinality, OWLNamedClass, OWLNAryLogicalClass, OWLQuantifierRestriction, OWLRestriction, OWLSomeValuesFrom, OWLUnionClass, RDFSClass, RDFSNamedClass

All Known Implementing Classes:
  AbstractOWLAnonymousClass, AbstractOWLCardinalityBase, AbstractOWLLogicalClass, AbstractOWLNAryLogicalClass, AbstractOWLQuantifierRestriction, AbstractOWLRestriction, AbstractRDFSClass, DefaultOWLAllValuesFrom, DefaultOWLCardinality, DefaultOWLComplementClass, DefaultOWLEnumeratedClass, DefaultOWLHasValue, DefaultOWLIntersectionClass, DefaultOWLMaxCardinality, DefaultOWLMinCardinality, DefaultOWLNamedClass, DefaultOWLSomeValuesFrom, DefaultOWLUnionClass, DefaultRDFSNamedClass

    public interface ProtegeCls

extends ProtegeInstance, edu.stanford.smi.protege.model.Cls

Author:
  Holger Knublauch

Method Summary
`void` | `addClsListener(edu.stanford.smi.protege.event.ClsListener listener)` Deprecated.
`void` | `addDirectSuperclass(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`void` | `addDirectTemplateSlot(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`void` | `addTemplateFacetValue(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet, Object value)` Deprecated. no OWL equivalent
`void` | `addTemplateSlotValue(edu.stanford.smi.protege.model.Slot slot, Object value)` Deprecated. no OWL equivalent
`edu.stanford.smi.protege.model.Instance` | `createDirectInstance(String name)` Deprecated.
`edu.stanford.smi.protege.model.BrowserSlotPattern` | `getBrowserSlotPattern()`
`Collection` | `getConcreteSubclasses()` Deprecated. not needed
`edu.stanford.smi.protege.model.BrowserSlotPattern` | `getDirectBrowserSlotPattern()`
`int` | `getDirectInstanceCount()` Deprecated.
`Collection` | `getDirectInstances()` Deprecated.
`Collection` | `getDirectlyOverriddenTemplateFacets(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`int` | `getDirectSubclassCount()` Deprecated.
`Collection` | `getDirectSubclasses()` Deprecated.
`int` | `getDirectSuperclassCount()` Deprecated.
`Collection<edu.stanford.smi.protege.model.Cls>` | `getDirectSuperclasses()` Deprecated.
`List` | `getDirectTemplateFacetValues(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. no OWL equivalent
`Collection` | `getDirectTemplateSlots()` Deprecated.
`List` | `getDirectTemplateSlotValues(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`edu.stanford.smi.protege.model.BrowserSlotPattern` | `getInheritedBrowserSlotPattern()`
`int` | `getInstanceCount()` Deprecated.
`Collection` | `getInstances()` Deprecated.
`Collection` | `getOverriddenTemplateFacets(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`Collection` | `getSubclasses()` Deprecated.
`Collection` | `getSuperclasses()` Deprecated.
`Collection` | `getTemplateFacets(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`Object` | `getTemplateFacetValue(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. no OWL equivalent
`Collection` | `getTemplateFacetValues(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. no OWL equivalent
`Collection` | `getTemplateSlotAllowedClses(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`Collection` | `getTemplateSlotAllowedParents(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`Collection` | `getTemplateSlotAllowedValues(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`boolean` | `getTemplateSlotAllowsMultipleValues(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`Collection` | `getTemplateSlotDefaultValues(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`Collection` | `getTemplateSlotDocumentation(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`int` | `getTemplateSlotMaximumCardinality(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`Number` | `getTemplateSlotMaximumValue(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`int` | `getTemplateSlotMinimumCardinality(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`Number` | `getTemplateSlotMinimumValue(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`Collection` | `getTemplateSlots()` Deprecated.
`Object` | `getTemplateSlotValue(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`Collection` | `getTemplateSlotValues(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`edu.stanford.smi.protege.model.ValueType` | `getTemplateSlotValueType(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`int` | `getVisibleDirectSubclassCount()` Deprecated. not needed
`Collection` | `getVisibleDirectSubclasses()` Deprecated. not needed
`Collection` | `getVisibleTemplateSlots()` Deprecated. not needed
`boolean` | `hasDirectlyOverriddenTemplateFacet(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. no OWL equivalent
`boolean` | `hasDirectlyOverriddenTemplateSlot(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`boolean` | `hasDirectSuperclass(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`boolean` | `hasDirectTemplateSlot(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed
`boolean` | `hasInheritedTemplateSlot(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed
`boolean` | `hasOverriddenTemplateFacet(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. no OWL equivalent
`boolean` | `hasOverriddenTemplateSlot(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`boolean` | `hasSuperclass(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not needed
`boolean` | `hasTemplateFacet(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)` Deprecated. no OWL equivalent
`boolean` | `hasTemplateSlot(edu.stanford.smi.protege.model.Slot slot)` Deprecated. not needed
`boolean` | `isAbstract()` Deprecated. no OWL equivalent
`boolean` | `isClsMetaCls()` Deprecated. not needed
`boolean` | `isConcrete()` Deprecated. no OWL equivalent
`boolean` | `isDefaultClsMetaCls()` Deprecated. not needed
`boolean` | `isDefaultFacetMetaCls()` Deprecated. not needed
`boolean` | `isDefaultSlotMetaCls()` Deprecated. not needed
`boolean` | `isFacetMetaCls()` Deprecated. not needed
`boolean` | `isMetaCls()` Deprecated.
`boolean` | `isRoot()` Deprecated. not needed
`boolean` | `isSlotMetaCls()` Deprecated. not needed
`void` | `moveDirectSubclass(edu.stanford.smi.protege.model.Cls movedSubclass, edu.stanford.smi.protege.model.Cls afterCls)` Deprecated. not needed
`void` | `moveDirectTemplateSlot(edu.stanford.smi.protege.model.Slot slot, int toIndex)` Deprecated. not needed
`void` | `removeClsListener(edu.stanford.smi.protege.event.ClsListener listener)` Deprecated.
`void` | `removeDirectSuperclass(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`void` | `removeDirectTemplateSlot(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`void` | `removeTemplateFacetOverrides(edu.stanford.smi.protege.model.Slot slot)` Deprecated. no OWL equivalent
`void` | `setAbstract(boolean v)` Deprecated. no OWL equivalent
`void` | `setDirectBrowserSlot(edu.stanford.smi.protege.model.Slot slot)`
`void` | `setDirectBrowserSlotPattern(edu.stanford.smi.protege.model.BrowserSlotPattern pattern)`
`void` | `setDirectTypeOfSubclasses(edu.stanford.smi.protege.model.Cls metaCls)` Deprecated. not needed
`void` | `setTemplateFacetValue(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet, Object value)` Deprecated. no OWL equivalent
`void` | `setTemplateFacetValues(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet, Collection c)` Deprecated. no OWL equivalent
`void` | `setTemplateSlotAllowedClses(edu.stanford.smi.protege.model.Slot slot, Collection clses)` Deprecated. no OWL equivalent
`void` | `setTemplateSlotAllowedParents(edu.stanford.smi.protege.model.Slot slot, Collection clses)` Deprecated. no OWL equivalent
`void` | `setTemplateSlotAllowedValues(edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated. no OWL equivalent
`void` | `setTemplateSlotAllowsMultipleValues(edu.stanford.smi.protege.model.Slot slot, boolean b)` Deprecated. no OWL equivalent
`void` | `setTemplateSlotDefaultValues(edu.stanford.smi.protege.model.Slot slot, Collection values)` Deprecated. no OWL equivalent
`void` | `setTemplateSlotDocumentation(edu.stanford.smi.protege.model.Slot slot, Collection documentation)` Deprecated. no OWL equivalent
`void` | `setTemplateSlotDocumentation(edu.stanford.smi.protege.model.Slot slot, String documentation)` Deprecated. no OWL equivalent
`void` | `setTemplateSlotMaximumCardinality(edu.stanford.smi.protege.model.Slot slot, int max)` Deprecated. no OWL equivalent
`void` | `setTemplateSlotMaximumValue(edu.stanford.smi.protege.model.Slot slot, Number max)` Deprecated. no OWL equivalent
`void` | `setTemplateSlotMinimumCardinality(edu.stanford.smi.protege.model.Slot slot, int min)` Deprecated. no OWL equivalent
`void` | `setTemplateSlotMinimumValue(edu.stanford.smi.protege.model.Slot slot, Number min)` Deprecated. no OWL equivalent
`void` | `setTemplateSlotValue(edu.stanford.smi.protege.model.Slot slot, Object value)` Deprecated. no OWL equivalent
`void` | `setTemplateSlotValues(edu.stanford.smi.protege.model.Slot slot, Collection c)` Deprecated. no OWL equivalent
`void` | `setTemplateSlotValueType(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.ValueType valueType)` Deprecated. no OWL equivalent

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getBrowserText, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, delete, getFrameID, getName, isValid, isVisible, moveDirectOwnSlotValue, setVisible`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protege.model.Cls
`getBrowserSlot, getDirectBrowserSlot, getInheritedBrowserSlot, rename`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, delete, getFrameID, getName, isValid, isVisible, moveDirectOwnSlotValue, setVisible`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### addClsListener

    void addClsListener(edu.stanford.smi.protege.event.ClsListener listener)

  Deprecated.

  Specified by:
    `addClsListener` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFSClass.addClassListener(edu.stanford.smi.protegex.owl.model.event.ClassListener)`

### addDirectSuperclass

    void addDirectSuperclass(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `addDirectSuperclass` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFSClass.addSuperclass(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### addDirectTemplateSlot

    void addDirectTemplateSlot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `addDirectTemplateSlot` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFProperty.addUnionDomainClass(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### addTemplateFacetValue

    void addTemplateFacetValue(edu.stanford.smi.protege.model.Slot slot,
                               edu.stanford.smi.protege.model.Facet facet,
                               Object value)

  Deprecated. no OWL equivalent

  Specified by:
    `addTemplateFacetValue` in interface `edu.stanford.smi.protege.model.Cls`

### addTemplateSlotValue

    void addTemplateSlotValue(edu.stanford.smi.protege.model.Slot slot,
                              Object value)

  Deprecated. no OWL equivalent

  Specified by:
    `addTemplateSlotValue` in interface `edu.stanford.smi.protege.model.Cls`

### createDirectInstance

    edu.stanford.smi.protege.model.Instance createDirectInstance(String name)

  Deprecated.

  Specified by:
    `createDirectInstance` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFSClass.createInstance(java.lang.String)`

### getConcreteSubclasses

    Collection getConcreteSubclasses()

  Deprecated. not needed

  Specified by:
    `getConcreteSubclasses` in interface `edu.stanford.smi.protege.model.Cls`

### getBrowserSlotPattern

    edu.stanford.smi.protege.model.BrowserSlotPattern getBrowserSlotPattern()

  Specified by:
    `getBrowserSlotPattern` in interface `edu.stanford.smi.protege.model.Cls`

### getDirectBrowserSlotPattern

    edu.stanford.smi.protege.model.BrowserSlotPattern getDirectBrowserSlotPattern()

  Specified by:
    `getDirectBrowserSlotPattern` in interface `edu.stanford.smi.protege.model.Cls`

### getInheritedBrowserSlotPattern

    edu.stanford.smi.protege.model.BrowserSlotPattern getInheritedBrowserSlotPattern()

  Specified by:
    `getInheritedBrowserSlotPattern` in interface `edu.stanford.smi.protege.model.Cls`

### getDirectInstanceCount

    int getDirectInstanceCount()

  Deprecated.

  Specified by:
    `getDirectInstanceCount` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `(false)`

### getDirectInstances

    Collection getDirectInstances()

  Deprecated.

  Specified by:
    `getDirectInstances` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `(false)`

### getDirectSubclassCount

    int getDirectSubclassCount()

  Deprecated.

  Specified by:
    `getDirectSubclassCount` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFSClass.getSubclassCount()`

### getDirectSubclasses

    Collection getDirectSubclasses()

  Deprecated.

  Specified by:
    `getDirectSubclasses` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `(false)`

### getDirectSuperclassCount

    int getDirectSuperclassCount()

  Deprecated.

  Specified by:
    `getDirectSuperclassCount` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFSClass.getSuperclassCount()`

### getDirectSuperclasses

    Collection<edu.stanford.smi.protege.model.Cls> getDirectSuperclasses()

  Deprecated.

  Specified by:
    `getDirectSuperclasses` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `(false)`

### getDirectTemplateFacetValues

    List getDirectTemplateFacetValues(edu.stanford.smi.protege.model.Slot slot,
                                      edu.stanford.smi.protege.model.Facet facet)

  Deprecated. no OWL equivalent

  Specified by:
    `getDirectTemplateFacetValues` in interface `edu.stanford.smi.protege.model.Cls`

### getOverriddenTemplateFacets

    Collection getOverriddenTemplateFacets(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getOverriddenTemplateFacets` in interface `edu.stanford.smi.protege.model.Cls`

### getDirectlyOverriddenTemplateFacets

    Collection getDirectlyOverriddenTemplateFacets(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getDirectlyOverriddenTemplateFacets` in interface `edu.stanford.smi.protege.model.Cls`

### getDirectTemplateSlots

    Collection getDirectTemplateSlots()

  Deprecated.

  Specified by:
    `getDirectTemplateSlots` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFSClass.getUnionDomainProperties()`

### getDirectTemplateSlotValues

    List getDirectTemplateSlotValues(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getDirectTemplateSlotValues` in interface `edu.stanford.smi.protege.model.Cls`

### getInstanceCount

    int getInstanceCount()

  Deprecated.

  Specified by:
    `getInstanceCount` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFSClass.getInstanceCount(boolean)`

### getInstances

    Collection getInstances()

  Deprecated.

  Specified by:
    `getInstances` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFSClass.getInstances(boolean)`

### getSubclasses

    Collection getSubclasses()

  Deprecated.

  Specified by:
    `getSubclasses` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `(true)`

### getSuperclasses

    Collection getSuperclasses()

  Deprecated.

  Specified by:
    `getSuperclasses` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `(true)`

### getTemplateFacets

    Collection getTemplateFacets(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateFacets` in interface `edu.stanford.smi.protege.model.Cls`

### getTemplateFacetValue

    Object getTemplateFacetValue(edu.stanford.smi.protege.model.Slot slot,
                                 edu.stanford.smi.protege.model.Facet facet)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateFacetValue` in interface `edu.stanford.smi.protege.model.Cls`

### getTemplateFacetValues

    Collection getTemplateFacetValues(edu.stanford.smi.protege.model.Slot slot,
                                      edu.stanford.smi.protege.model.Facet facet)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateFacetValues` in interface `edu.stanford.smi.protege.model.Cls`

### getTemplateSlotAllowedClses

    Collection getTemplateSlotAllowedClses(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `getTemplateSlotAllowedClses` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFSNamedClass.getUnionRangeClasses(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### getTemplateSlotAllowedParents

    Collection getTemplateSlotAllowedParents(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateSlotAllowedParents` in interface `edu.stanford.smi.protege.model.Cls`

### getTemplateSlotAllowedValues

    Collection getTemplateSlotAllowedValues(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateSlotAllowedValues` in interface `edu.stanford.smi.protege.model.Cls`

### getTemplateSlotAllowsMultipleValues

    boolean getTemplateSlotAllowsMultipleValues(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateSlotAllowsMultipleValues` in interface `edu.stanford.smi.protege.model.Cls`

### getTemplateSlotDefaultValues

    Collection getTemplateSlotDefaultValues(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateSlotDefaultValues` in interface `edu.stanford.smi.protege.model.Cls`

### getTemplateSlotDocumentation

    Collection getTemplateSlotDocumentation(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateSlotDocumentation` in interface `edu.stanford.smi.protege.model.Cls`

### getTemplateSlotMaximumCardinality

    int getTemplateSlotMaximumCardinality(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateSlotMaximumCardinality` in interface `edu.stanford.smi.protege.model.Cls`

### getTemplateSlotMaximumValue

    Number getTemplateSlotMaximumValue(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateSlotMaximumValue` in interface `edu.stanford.smi.protege.model.Cls`

### getTemplateSlotMinimumCardinality

    int getTemplateSlotMinimumCardinality(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateSlotMinimumCardinality` in interface `edu.stanford.smi.protege.model.Cls`

### getTemplateSlotMinimumValue

    Number getTemplateSlotMinimumValue(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateSlotMinimumValue` in interface `edu.stanford.smi.protege.model.Cls`

### getTemplateSlots

    Collection getTemplateSlots()

  Deprecated.

  Specified by:
    `getTemplateSlots` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFSClass.getUnionDomainProperties()`

### getTemplateSlotValue

    Object getTemplateSlotValue(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateSlotValue` in interface `edu.stanford.smi.protege.model.Cls`

### getTemplateSlotValues

    Collection getTemplateSlotValues(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateSlotValues` in interface `edu.stanford.smi.protege.model.Cls`

### getTemplateSlotValueType

    edu.stanford.smi.protege.model.ValueType getTemplateSlotValueType(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `getTemplateSlotValueType` in interface `edu.stanford.smi.protege.model.Cls`

### getVisibleDirectSubclassCount

    int getVisibleDirectSubclassCount()

  Deprecated. not needed

  Specified by:
    `getVisibleDirectSubclassCount` in interface `edu.stanford.smi.protege.model.Cls`

### getVisibleDirectSubclasses

    Collection getVisibleDirectSubclasses()

  Deprecated. not needed

  Specified by:
    `getVisibleDirectSubclasses` in interface `edu.stanford.smi.protege.model.Cls`

### getVisibleTemplateSlots

    Collection getVisibleTemplateSlots()

  Deprecated. not needed

  Specified by:
    `getVisibleTemplateSlots` in interface `edu.stanford.smi.protege.model.Cls`

### hasDirectlyOverriddenTemplateFacet

    boolean hasDirectlyOverriddenTemplateFacet(edu.stanford.smi.protege.model.Slot slot,
                                               edu.stanford.smi.protege.model.Facet facet)

  Deprecated. no OWL equivalent

  Specified by:
    `hasDirectlyOverriddenTemplateFacet` in interface `edu.stanford.smi.protege.model.Cls`

### hasDirectlyOverriddenTemplateSlot

    boolean hasDirectlyOverriddenTemplateSlot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `hasDirectlyOverriddenTemplateSlot` in interface `edu.stanford.smi.protege.model.Cls`

### hasDirectSuperclass

    boolean hasDirectSuperclass(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `hasDirectSuperclass` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFSClass.isSubclassOf(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### hasDirectTemplateSlot

    boolean hasDirectTemplateSlot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed

  Specified by:
    `hasDirectTemplateSlot` in interface `edu.stanford.smi.protege.model.Cls`

### hasInheritedTemplateSlot

    boolean hasInheritedTemplateSlot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed

  Specified by:
    `hasInheritedTemplateSlot` in interface `edu.stanford.smi.protege.model.Cls`

### hasOverriddenTemplateFacet

    boolean hasOverriddenTemplateFacet(edu.stanford.smi.protege.model.Slot slot,
                                       edu.stanford.smi.protege.model.Facet facet)

  Deprecated. no OWL equivalent

  Specified by:
    `hasOverriddenTemplateFacet` in interface `edu.stanford.smi.protege.model.Cls`

### hasOverriddenTemplateSlot

    boolean hasOverriddenTemplateSlot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `hasOverriddenTemplateSlot` in interface `edu.stanford.smi.protege.model.Cls`

### hasSuperclass

    boolean hasSuperclass(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not needed

  Specified by:
    `hasSuperclass` in interface `edu.stanford.smi.protege.model.Cls`

### hasTemplateFacet

    boolean hasTemplateFacet(edu.stanford.smi.protege.model.Slot slot,
                             edu.stanford.smi.protege.model.Facet facet)

  Deprecated. no OWL equivalent

  Specified by:
    `hasTemplateFacet` in interface `edu.stanford.smi.protege.model.Cls`

### hasTemplateSlot

    boolean hasTemplateSlot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. not needed

  Specified by:
    `hasTemplateSlot` in interface `edu.stanford.smi.protege.model.Cls`

### isAbstract

    boolean isAbstract()

  Deprecated. no OWL equivalent

  Specified by:
    `isAbstract` in interface `edu.stanford.smi.protege.model.Cls`

### isClsMetaCls

    boolean isClsMetaCls()

  Deprecated. not needed

  Specified by:
    `isClsMetaCls` in interface `edu.stanford.smi.protege.model.Cls`

### isConcrete

    boolean isConcrete()

  Deprecated. no OWL equivalent

  Specified by:
    `isConcrete` in interface `edu.stanford.smi.protege.model.Cls`

### isDefaultClsMetaCls

    boolean isDefaultClsMetaCls()

  Deprecated. not needed

  Specified by:
    `isDefaultClsMetaCls` in interface `edu.stanford.smi.protege.model.Cls`

### isDefaultFacetMetaCls

    boolean isDefaultFacetMetaCls()

  Deprecated. not needed

  Specified by:
    `isDefaultFacetMetaCls` in interface `edu.stanford.smi.protege.model.Cls`

### isDefaultSlotMetaCls

    boolean isDefaultSlotMetaCls()

  Deprecated. not needed

  Specified by:
    `isDefaultSlotMetaCls` in interface `edu.stanford.smi.protege.model.Cls`

### isFacetMetaCls

    boolean isFacetMetaCls()

  Deprecated. not needed

  Specified by:
    `isFacetMetaCls` in interface `edu.stanford.smi.protege.model.Cls`

### isMetaCls

    boolean isMetaCls()

  Deprecated.

  Specified by:
    `isMetaCls` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFSClass.isMetaclass()`

### isRoot

    boolean isRoot()

  Deprecated. not needed

  Specified by:
    `isRoot` in interface `edu.stanford.smi.protege.model.Cls`

### isSlotMetaCls

    boolean isSlotMetaCls()

  Deprecated. not needed

  Specified by:
    `isSlotMetaCls` in interface `edu.stanford.smi.protege.model.Cls`

### moveDirectSubclass

    void moveDirectSubclass(edu.stanford.smi.protege.model.Cls movedSubclass,
                            edu.stanford.smi.protege.model.Cls afterCls)

  Deprecated. not needed

  Specified by:
    `moveDirectSubclass` in interface `edu.stanford.smi.protege.model.Cls`

### moveDirectTemplateSlot

    void moveDirectTemplateSlot(edu.stanford.smi.protege.model.Slot slot,
                                int toIndex)

  Deprecated. not needed

  Specified by:
    `moveDirectTemplateSlot` in interface `edu.stanford.smi.protege.model.Cls`

### removeClsListener

    void removeClsListener(edu.stanford.smi.protege.event.ClsListener listener)

  Deprecated.

  Specified by:
    `removeClsListener` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFSClass.removeClassListener(edu.stanford.smi.protegex.owl.model.event.ClassListener)`

### removeDirectSuperclass

    void removeDirectSuperclass(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

  Specified by:
    `removeDirectSuperclass` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFSClass.removeSuperclass(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### removeDirectTemplateSlot

    void removeDirectTemplateSlot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `removeDirectTemplateSlot` in interface `edu.stanford.smi.protege.model.Cls`
  See Also:
    `RDFProperty.removeUnionDomainClass(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### removeTemplateFacetOverrides

    void removeTemplateFacetOverrides(edu.stanford.smi.protege.model.Slot slot)

  Deprecated. no OWL equivalent

  Specified by:
    `removeTemplateFacetOverrides` in interface `edu.stanford.smi.protege.model.Cls`

### setAbstract

    void setAbstract(boolean v)

  Deprecated. no OWL equivalent

  Specified by:
    `setAbstract` in interface `edu.stanford.smi.protege.model.Cls`

### setDirectBrowserSlot

    void setDirectBrowserSlot(edu.stanford.smi.protege.model.Slot slot)

  Specified by:
    `setDirectBrowserSlot` in interface `edu.stanford.smi.protege.model.Cls`

### setDirectBrowserSlotPattern

    void setDirectBrowserSlotPattern(edu.stanford.smi.protege.model.BrowserSlotPattern pattern)

  Specified by:
    `setDirectBrowserSlotPattern` in interface `edu.stanford.smi.protege.model.Cls`

### setDirectTypeOfSubclasses

    void setDirectTypeOfSubclasses(edu.stanford.smi.protege.model.Cls metaCls)

  Deprecated. not needed

  Specified by:
    `setDirectTypeOfSubclasses` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateFacetValue

    void setTemplateFacetValue(edu.stanford.smi.protege.model.Slot slot,
                               edu.stanford.smi.protege.model.Facet facet,
                               Object value)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateFacetValue` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateFacetValues

    void setTemplateFacetValues(edu.stanford.smi.protege.model.Slot slot,
                                edu.stanford.smi.protege.model.Facet facet,
                                Collection c)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateFacetValues` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateSlotAllowedClses

    void setTemplateSlotAllowedClses(edu.stanford.smi.protege.model.Slot slot,
                                     Collection clses)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateSlotAllowedClses` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateSlotAllowedParents

    void setTemplateSlotAllowedParents(edu.stanford.smi.protege.model.Slot slot,
                                       Collection clses)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateSlotAllowedParents` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateSlotAllowedValues

    void setTemplateSlotAllowedValues(edu.stanford.smi.protege.model.Slot slot,
                                      Collection values)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateSlotAllowedValues` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateSlotAllowsMultipleValues

    void setTemplateSlotAllowsMultipleValues(edu.stanford.smi.protege.model.Slot slot,
                                             boolean b)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateSlotAllowsMultipleValues` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateSlotDefaultValues

    void setTemplateSlotDefaultValues(edu.stanford.smi.protege.model.Slot slot,
                                      Collection values)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateSlotDefaultValues` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateSlotDocumentation

    void setTemplateSlotDocumentation(edu.stanford.smi.protege.model.Slot slot,
                                      String documentation)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateSlotDocumentation` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateSlotDocumentation

    void setTemplateSlotDocumentation(edu.stanford.smi.protege.model.Slot slot,
                                      Collection documentation)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateSlotDocumentation` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateSlotMaximumCardinality

    void setTemplateSlotMaximumCardinality(edu.stanford.smi.protege.model.Slot slot,
                                           int max)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateSlotMaximumCardinality` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateSlotMaximumValue

    void setTemplateSlotMaximumValue(edu.stanford.smi.protege.model.Slot slot,
                                     Number max)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateSlotMaximumValue` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateSlotMinimumCardinality

    void setTemplateSlotMinimumCardinality(edu.stanford.smi.protege.model.Slot slot,
                                           int min)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateSlotMinimumCardinality` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateSlotMinimumValue

    void setTemplateSlotMinimumValue(edu.stanford.smi.protege.model.Slot slot,
                                     Number min)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateSlotMinimumValue` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateSlotValue

    void setTemplateSlotValue(edu.stanford.smi.protege.model.Slot slot,
                              Object value)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateSlotValue` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateSlotValues

    void setTemplateSlotValues(edu.stanford.smi.protege.model.Slot slot,
                               Collection c)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateSlotValues` in interface `edu.stanford.smi.protege.model.Cls`

### setTemplateSlotValueType

    void setTemplateSlotValueType(edu.stanford.smi.protege.model.Slot slot,
                                  edu.stanford.smi.protege.model.ValueType valueType)

  Deprecated. no OWL equivalent

  Specified by:
    `setTemplateSlotValueType` in interface `edu.stanford.smi.protege.model.Cls`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.